WSNotification::Types::FaultCodesOpenEnumType(3pm)

NAME

DESCRIPTION
Perl data type class for the XML Schema defined simpleType FaultCodesOpenEnumType from the namespace http://www.w3.org/2005/08/addressing.

This type class is derived by union.

Derivation by union is not fully supported yet - value space constraints are not checked yet.

The current implementation of union resorts to inheriting from the base type, which means (quoted from the XML Schema specs): "If the <list> or <union> alternative is chosen, then the simple ur-type definition."

METHODS

  new
Constructor.

  get_value / set_value
Getter and setter for the simpleType's value.

OVERLOADING
Depending on the simple type's base type, the following operations are overloaded

 Stringification
 Numerification
 Boolification

Check SOAP::WSDL::XSD::Typelib::Builtin for more information.

AUTHOR
Generated by SOAP::WSDL